CVE-2001-1279

Current Description

Buffer overflow in print-rx.c of tcpdump 3.x (probably 3.6x) allows remote attackers to cause a denial of service and possibly execute arbitrary code via AFS RPC packets with invalid lengths that trigger an integer signedness error, a different vulnerability than CVE-2000-1026.

Basic Data

PublishedJuly 17, 2001
Last ModifiedSeptember 10, 2008
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegetrue
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationLblTcpdump3.6.2*******

Vulnerable Software List

VendorProductVersions
Lbl Tcpdump 3.6.2

References

NameSourceURLTags
CSSA-2002-025.0ftp://ftp.caldera.com/pub/security/OpenLinux/CSSA-2002-025.0.txtCALDERA
FreeBSD-SA-01:48ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-01:48.tcpdump.ascFREEBSD
CLA-2002:480http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000480CONECTIVA
tcpdump-afs-rpc-bo(7006)http://www.iss.net/security_center/static/7006.phpXF
VU#797201http://www.kb.cert.org/vuls/id/797201CERT-VNThird Party Advisory US Government Resource
MDKSA-2002:032http://www.linux-mandrake.com/en/security/2002/MDKSA-2002-032.phpMANDRAKE
RHSA-2001:089http://www.redhat.com/support/errata/RHSA-2001-089.htmlREDHATPatch Vendor Advisory
3065http://www.securityfocus.com/bid/3065BID